Boxing Data API - Explore Boxer details with the Fighter Endpoint
Fighters are the individual boxers in the Boxing Data API. Each fighter profile includes personal details, physical attributes, and career statistics. Fighters can be filtered by division or title.
Endpoints
1. List fighters:
- Endpoint URL:
https://boxing-data-api.p.rapidapi.com/v2/fighters/ - Description: Retrieves a list of fighters according to any filters that you apply.
2. Get a specific fighter:
- Endpoint URL:
https://boxing-data-api.p.rapidapi.com/v2/fighters/<fighter_id> - Description: Retrieves detailed information about a specific fighter.
List all fighters
The following query params can be used to filter the fighters returned
| Query Param | Description | Example | Default | Required |
|---|---|---|---|---|
name | Search fighters by their name, part of their name or nickname | Fury | Null | No |
division_id | The division id the boxer fights in | 671513530ad13034eb88265a | Null | No |
title_id | The id of a title that the fighter holds | 67153e83af69bb50508b7911 | Null | No |
page_num | The page to display | 5 | 1 | No |
page_size | The number of results to display on the page | 10 | 25 | No |
curl --request GET --url https://boxing-data-api.p.rapidapi.com/v2/fighters/ --header 'x-rapidapi-key: [Your RapidAPI Key]'axios.get('https://boxing-data-api.p.rapidapi.com/v2/fighters', { headers: { 'X-RapidAPI-Key': '[Your RapidAPI Key]' }}).then(response => { console.log(response.data);}).catch(error => { console.error(error);});import requests
url = "https://boxing-data-api.p.rapidapi.com/v2/fighters"headers = { 'X-RapidAPI-Key': '[Your RapidAPI Key]'}
response = requests.get(url, headers=headers)print(response.json())Example response:
{ "metadata": { "timestamp": "2026-02-27T12:00:00.000000+00:00" }, "pagination": { "page": 1, "items": 2, "total_pages": 1, "total_items": 2 }, "error": {}, "data": [ { "name": "Tyson Fury", "age": 36, "gender": "m", "height": "6' 9\" / 206 cm", "nationality": "United Kingdom", "nickname": null, "reach": "85\" / 216 cm", "stance": "orthodox", "stats": { "wins": 34, "losses": 1, "draws": 1, "total_bouts": 36, "total_rounds": 242, "ko_wins": 24, "stopped": 0 }, "debut": "2008", "height_cm": 206, "height_in": 81.1, "nationality_code": "GB", "height_ft": "6'9\"", "reach_cm": 216, "reach_in": 85.0, "alias": null, "id": "6715fc1faf69bb50508b7a83", "division": { "name": "Heavyweight", "weight_lb": null, "weight_kg": null, "id": "671513530ad13034eb88265a" }, "titles": [] } ]}Get specific fighter
To get a single fighter, append the fighter ID to the URL: /v2/fighters/<fighter_id>
Example response:
{ "metadata": { "timestamp": "2026-02-27T12:00:00.000000+00:00" }, "pagination": { "page": 1, "items": 1, "total_pages": 1, "total_items": 1 }, "error": {}, "data": { "name": "Tyson Fury", "age": 36, "gender": "m", "height": "6' 9\" / 206 cm", "nationality": "United Kingdom", "nickname": null, "reach": "85\" / 216 cm", "stance": "orthodox", "stats": { "wins": 34, "losses": 1, "draws": 1, "total_bouts": 36, "total_rounds": 242, "ko_wins": 24, "stopped": 0 }, "debut": "2008", "height_cm": 206, "height_in": 81.1, "nationality_code": "GB", "height_ft": "6'9\"", "reach_cm": 216, "reach_in": 85.0, "alias": null, "id": "6715fc1faf69bb50508b7a83", "division": { "name": "Heavyweight", "weight_lb": null, "weight_kg": null, "id": "671513530ad13034eb88265a" }, "titles": [] }}